package com.iamberry.wechat.core.entity.channel;

import  java.util.Date;
import  java.io.Serializable;
/**
 *  渠道管理员表类
 * @author xm
 * @Date 2018-08-03
 */
public class ChannelAdmin  implements  Serializable{
    private static final long serialVersionUID = -3778309303797043794L;
    //管理员id
    private Integer channelAdminId;
    //渠道id
    private Integer channelId;
    //返利渠道类型 1:主渠道 2:子渠道
    private Integer channelType;
    //Openid
    private String channelAdminOpenId;
    //状态 1:使用中 2:已停用
    private Integer channelAdminStatus;
    //创建时间
    private Date channelAdminCreateTime;
    //修改时间
    private Date channelAdminUpdateTime;

    public Integer getChannelAdminId(){
        return channelAdminId;
    }

    public void setChannelAdminId(Integer  channelAdminId){
        this.channelAdminId=channelAdminId;
    }

    public Integer getChannelId(){
        return channelId;
    }

    public void setChannelId(Integer  channelId){
        this.channelId=channelId;
    }

    public Integer getChannelType(){
        return channelType;
    }

    public void setChannelType(Integer  channelType){
        this.channelType=channelType;
    }

    public String getChannelAdminOpenId(){
        return channelAdminOpenId;
    }

    public void setChannelAdminOpenId(String  channelAdminOpenId){
        this.channelAdminOpenId=channelAdminOpenId;
    }

    public Integer getChannelAdminStatus(){
        return channelAdminStatus;
    }

    public void setChannelAdminStatus(Integer  channelAdminStatus){
        this.channelAdminStatus=channelAdminStatus;
    }

    public Date getChannelAdminCreateTime(){
        return channelAdminCreateTime;
    }

    public void setChannelAdminCreateTime(Date  channelAdminCreateTime){
        this.channelAdminCreateTime=channelAdminCreateTime;
    }

    public Date getChannelAdminUpdateTime(){
        return channelAdminUpdateTime;
    }

    public void setChannelAdminUpdateTime(Date  channelAdminUpdateTime){
        this.channelAdminUpdateTime=channelAdminUpdateTime;
    }
}